Introduction

Product Description

StealthDisk uses Virtual Disk Technology to easily and securely store all your important files and documents. Using industry-leading encryption algorithms, StealthDisk creates an encrypted virtual disk that encrypts and decrypts all data on-the-fly as you work. When you are done, simply dismount the StealthDisk volume and all your important files and documents will be instantly hidden and encrypted. There is no more need to encrypt each and every file or each and every every folder like so many other encryption applications on the market today.

Features:

  • Hides all Images, Videos and Documents.
  • Easy to use, just like using your regular Hard Disk.
  • On-The-Fly Encryption for Instant File Hiding.
  • Supports AES with 128-bit and 256-bit key lengths.
  • Supports Blowfish with 128-bit and 448-bit key lengths.
  • Further increase your security by using an External Header Block (encrypted) to separate key information and ciphertext.
  • Supports volumes from 1MB to hundreds of GBs.
  • Supports mounting volumes over a Local Area Network.
  • Supports mounting volumes as Read-Only.

Algorithms Supported

Advanced Encryption Standard
The Advanced Encryption Standard or AES is a FIPS approved symmetric encryption algorithm that can be used by U.S Government organizations to protect sensitive information. Consequently, it has also become the industry standard for protecting personal and commercial data. StealthDisk supports AES in CBC mode with 128-bit and 256-bit key lengths.

Blowfish
Blowfish was designed in 1993 by security researcher Bruce Schneier. It was designed as a drop-in replacement for the aging DES standard. Being many times faster than DES, Blowfish has grown in popularity and acceptance. StealthDisk supports Blowfish in CBC mode with 128-bit and 448-bit key lengths.

Copyright © 2004 Security Group Six. All rights reserved.


Quickstart Guide

Install StealthDisk

Follow the prompts to install StealthDisk.

Note:
Administrator privileges are required to install StealthDisk.

Start StealthDisk

StealthDisk will start at Windows startup. You can also manually start it via the Start menu. Once started, double click on the StealthDisk tray icon to bring up the application. You can also right-click the tray icon and select the Open StealthDisk menu item.

Create a StealthDisk Volume

  • Choose a file to store the encrypted data.
  • Leave the External Header Block empty.
  • Choose the size of your StealthDisk volume.
  • Choose the desired encryption algorithm.
  • Choose a password for the StealthDisk volume. The evaluation version is limited to 2 characters.
  • Click the Create button. The operation may take a long time depending on the size you choose.

    • Mount the StealthDisk Volume

  • Choose the StealthDisk volume you created earlier.
  • Choose an available drive letter.
  • Enter in the password you selected earlier.
  • Click the Mount button.

    • Format and Use Mounted Volume

    The StealthDisk volume now appears as a disk drive to your system. The first time after creation, the drive must be formatted before it can be used.

    Dismount StealthDisk Volume

    Close all files in the StealthDisk volume and dismount the drive when you are done using it.


Status

Mounted Disks

This area displays information about all currently mounted StealthDisk volumes for the user including drive letter assignment, volume filename, encryption algorithm and volume size.

Dismount

This button is used to dismount a single StealthDisk volume selected from the Mounted Disks area. Please be sure to close all open files from the selected volume before dismounting.

Dismount All

This button is used to dismount all StealthDisk volumes currently mounted. There is no need to make any selections from the Mounted Disks area. Please be sure to close all open files from any volumes currently mounted.

Driver Information

This area displays information about the status of the StealthDisk driver and the version number.


Create

StealthDisk Volume

Use the Browse button to select the file that will hold the encrypted data of the StealthDisk volume. If no External Header Block file is selected, this file will also hold the encrypted header block.

External Header Block (Optional)

Use the Browse button if you would like to choose a separate file to hold the encrypted header block.

Volume Size and Encryption Algorithm

This area is used to select the size of your StealthDisk volume and encryption algorithm to use. Make sure the drive containing your StealthDisk volume has enough free space for the size you have chosen.

Password and Create

Carefully select a password that you would like to use for your StealthDisk volume. Passwords can be anywhere from 1 to 64 characters.

Note:
The evaluation version has a limit of 2 characters for the password. Once registered, existing volumes can be changed to use all 64 characters for maximum security.


Mount

StealthDisk Volume

Use the Browse button to select the SteathDisk volume you would like to mount.

External Header Block (Optional)

If you created your StealthDisk volume with an External Header Block, use the Browse button to select it.

Drive Letter

Select a drive from the available drive letters.

Read Only

Enabling this option will mount the StealthDisk volume as read only. Windows XP supports mounting FAT, FAT32 and NTFS volumes as read only. Windows 2000 only supports FAT and FAT32. It does not support mounting NTFS as read only.

Password and Mount

Enter the password you selected with the associated StealthDisk volume.


Tools

Change Password

Use the Browse button to choose the file containing the encrypted header block for your StealthDisk volume. If you did not create an External Header Block then you would choose the SDV file.

Import License

If you have purchased a license, you can import the license in this area to unlock the password limitation. You should change passwords for all your StealthDisk volumes as soon as possible for maximum security.


About

Product Information

Displays version, copyright and contact information.

Registration Information

This area displays the current license associated with the program.


End-User License Agreement

END-USER LICENSE AGREEMENT FOR SECURITY GROUP SIX SOFTWARE

This End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and Security Group Six for the Security Group Six software that accompanies this EULA. An amendment or addendum to this EULA may accompany the Software. YOU AGREE TO BE BOUND BY THE TERMS OF THIS EULA BY INSTALLING, COPYING, OR USING THE SOFTWARE. IF YOU DO NOT AGREE, DO NOT INSTALL, COPY, OR USE THE SOFTWARE.

The terms and conditions of this EULA describe the permitted use and user(s) of each Evaluation or Licensed Copy of the Security Group Six software. For purposes of this EULA, if you have a valid single-copy license, you have the right to use a single "Licensed Copy" of the Security Group Six software.

SCOPE OF LICENSE

Each Licensed Copy of the Security Group Six software may either be used by a single person who uses the software personally on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license.

All rights of any kind in the Security Group Six software which are not expressly granted in this EULA are entirely and exclusively reserved to and by Security Group Six. The Security Group Six software is protected by the United States copyright laws and other applicable laws and treaties. You may use, install and distribute the Security Group Six software solely as expressly provided in this EULA. You may not rent, lease, loan, sublicense, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, the Security Group Six software, nor permit anyone else to do so. You may not make access to the Security Group Six software available to others in connection with a service bureau, application service provider, or similar business, nor permit anyone else to do so.

WARRANTY DISCLAIMERS AND LIABILITY LIMITATIONS

ANY AND ALL ACCOMPANYING SOFTWARE, FILES, DATA AND MATERIALS, ARE DISTRIBUTED AND PROVIDED "AS IS" AND WITH NO WARRANTIES OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, ANY WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. SECURITY GROUP SIX DOES NOT WARRANT, GUARANTEE, OR MAKE ANY REPRESENTATIONS REGARDING THE USE OF, OR THE RESULTS OF THE USE OF, THE SECURITY GROUP SIX SOFTWARE. SECURITY GROUP SIX DOES NOT WARRANT THAT THE OPERATION OF THE SECURITY GROUP SIX SOFTWARE WILL BE UNINTERRUPTED OR ERROR-FREE, OR THAT THE USE OF ANY PASSWORDS AND/OR ENCRYPTION FEATURES WILL BE EFFECTIVE IN PREVENTING THE UNINTENTIONAL DISCLOSURE OF INFORMATION CONTAINED IN ANY FILE. You acknowledge that good data processing procedure dictates that any program, including the Security Group Six software, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of the Security Group Six software covered by this EULA. THIS DISCLAIMER OF WARRANTY CONSTITUTES AN ESSENTIAL PART OF THIS END-USER LICENSE AGREEMENT.

EXCEPT TO THE EXTENT EXPRESSLY PROHIBITED BY APPLICABLE STATUTES, SECURITY GROUP SIX SHALL NOT BE LIABLE FOR ANY DAMAGE OR FINANCIAL LOSS ARISING OUT OF THE USE OF, OR INABILITY TO USE, THE SECURITY GROUP SIX SOFTWARE. ANY LIABILITY OF SECURITY GROUP SIX WILL BE LIMITED EXCLUSIVELY TO REFUND OF THE LICENSE FEE PAID TO SECURITY GROUP SIX. EXCEPT TO THE EXTENT EXPRESSLY PROHIBITED BY APPLICABLE STATUTES, IN NO EVENT SHALL SECURITY GROUP SIX, OR ITS PRINCIPALS, SHAREHOLDERS, OFFICERS, EMPLOYEES, AFFILIATES, CONTRACTORS, SUBSIDIARIES, OR PARENT ORGANIZATIONS, BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL, OR PUNITIVE DAMAGES WHATSOEVER RELATING TO THE USE OF THE SECURITY GROUP SIX SOFTWARE, OR TO YOUR RELATIONSHIP WITH SECURITY GROUP SIX, (INCLUDING, WITHOUT LIMITATION, LOSS OR DISCLOSURE OF DATA OR INFORMATION, LOSS OF PROFIT, REVENUE, BUSINESS OPPORTUNITY OR BUSINESS ADVANTAGE, OR BUSINESS INTERRUPTION), WHETHER BASED UPON A CLAIM OR ACTION OF CONTRACT, WARRANTY, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, INDEMNITY, OR ANY OTHER LEGAL THEORY OR CAUSE OF ACTION, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

IN ADDITION, IN NO EVENT DOES SECURITY GROUP SIX AUTHORIZE YOU OR ANYONE ELSE TO USE THE SECURITY GROUP SIX SOFTWARE IN APPLICATIONS OR SYSTEMS WHERE THE SECURITY GROUP SIX SOFTWARE'S FAILURE TO PERFORM CAN REASONABLY BE EXPECTED TO RESULT IN A SIGNIFICANT PHYSICAL INJURY, OR IN LOSS OF PROPERTY, OR IN LOSS OF LIFE. ANY SUCH USE IS ENTIRELY AT YOUR OWN RISK, AND YOU AGREE TO HOLD SECURITY GROUP SIX HARMLESS FROM ANY AND ALL CLAIMS OR LOSSES RELATING TO SUCH UNAUTHORIZED USE.

EXPORT RESTRICTIONS

The Security Group Six software is subject to certain export restrictions of the United States Government. If you are (a) in a country to which export from the United States is restricted for anti-terrorism reasons, or a national of any such country, wherever located, (b) in a country to which the United States has embargoed or restricted the export of goods or services, or a national of any such country, wherever located, or (c) a person or entity who has been prohibited from participating in United States export transactions by any agency of the United States Government, then you may not install, download, access, use, or license the Security Group Six software. By accepting this License, you warrant and represent to Security Group Six that (1) you do not match the criteria set forth in (a), (b), or (c) above, (2) that you will not export or re-export the Security Group Six software to any country, person, or entity subject to U.S. export restrictions, including those persons and entities that match the criteria set forth in (a), (b), or (c) above, and (3) that neither the United States Bureau of Industry and Security, nor any other U.S. federal agency, has suspended, revoked, or denied your export privileges.